Query Trades Fills
Returns the authenticated user's trade history.
Time range constraints:
startTime+endTime: max 7 daysstartTimeonly: 7 days after startendTimeonly: 7 days before end- Neither: 7 days before current time
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | String | No | Market symbol |
| startTime | Long | No | Start time in milliseconds |
| endTime | Long | No | End time in milliseconds |
| beforeSerialId | Long | No | Pagination for high-volume markets |
| afterSerialId | Long | No | Pagination for high-volume markets |
| count | Long | No | Number of records |
| includeOld | Boolean | No | Include records older than 7 days |
| orderID | String | No | Filter by order ID |
| clOrderID | String | No | Filter by custom order ID |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| symbol | String | Market symbol |
| side | String | Trade side β BUY Β· SELL |
| price | Double | Transacted price |
| size | Long | Original order size |
| serialId | Long | Running sequence ID |
| tradeId | String | Trade identifier |
| orderId | String | Order ID |
| clOrderID | String | Custom order ID |
| timestamp | Long | Trade timestamp |
| base | String | Base currency |
| quote | String | Quote currency |
| wallet | String | CROSS@ or ISOLATED@{symbol}-USDT |
| feeCurrency | String | Fee currency |
| feeAmount | Double | Fee amount |
| filledPrice | Double | Filled price |
| avgFilledPrice | Double | Average filled price |
| filledSize | Long | Filled size |
| orderType | Integer | Order type |
| realizedPnL | Double | Realized P&L |
| positionId | String | Position ID |
| contractSize | Double | Contract size |
example
GET
https://api.btse.com/futures/api/v2.3/user/trade_historyResponse
[]